DROP TRIGGER IF EXISTS Aggiorna_Utente;

DELIMITER $$

CREATE TRIGGER Aggiorna_Utente
AFTER INSERT ON Recensioni
FOR EACH ROW 
BEGIN
    IF ((SELECT tipoUtente FROM Utenti WHERE Username=NEW.Username)='Semplice')
        THEN
            IF ((SELECT COUNT(*) FROM Recensioni WHERE Username=NEW.Username)>20)
                THEN
                    UPDATE Utenti SET tipoUtente='Premium' WHERE Username=NEW.Username;
            END IF;
    END IF;
END$$